.user-panel-body .user-panel-body-left .spinner-border {
    position: absolute;
    top: 26%;
    left: 24%;
    opacity: 1;
    color: #5a5a5a;
}

#orderHistory ul {
    background-color: #fff;
}

#orderHistory li {
    margin: 0;
}

#orderHistory li a {
    font-weight: 600;
    color: #000;
}

#orderHistory.user-panel-tab-view .nav .nav-item .nav-link {
    background: transparent none repeat scroll 0 0 !important;
    border-bottom: 3px solid #D9D9D9;
    color: #000;
    padding: 0.5rem 1rem;
}

#orderHistory.user-panel-tab-view .nav .nav-item .nav-link.active,
#orderHistory.user-panel-tab-view .nav .nav-item .nav-link:hover {
    border-bottom: 3px solid #000;
}

#orderHistory table td {
    padding: 1rem;
    /* border-bottom: 1px solid #C0CCDA; */
}
#orderHistory hr {
    margin: 0.6rem -13px;
    color: #00000020;
}

.nowrap {
    white-space: nowrap;
}

#orderHistory img {
    width: 103px;
    height: 103px;
    border-radius: 3.3px; 
    margin-right: 1rem;
}
#orderHistory .orderHistory_list{
    overflow-x: auto;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 1rem 2rem;
}
#orderHistory .orderHistory_content p{
    font-weight: 600;
    font-size: 16px;
}
#orderHistory .orderHistory_content span{
    color: gray;
    font-size: 14px;
}
#orderHistory button{
    color: #B11A83;
    font-weight: 600;
    font-size: 14px;
    line-height: 17.6px;
}

.badge-status.badge-success {
    padding: 0.25rem 1.5rem;
    background: #F2FFF8 !important;
    border: 1px solid #10B759 !important;
    border-radius: 8px;
    color: #10B759;
    font-size: 12px;
}

.para_desc_data {
    color: #000 !important;
    font-weight: 600;
    font-size: 12px;
}

.icofont-rounded-right {
    font-size: 22px;
}

.accordion-button.custom-header {
    background: #fff;
    padding: 0.5rem 1rem;
}

.accordion-item {
    border: none;
    border-bottom: 1px solid #C0CCDA;
}

.accordion-button::after {
    display: none;
}

.font-dark-weight {
    font-size: 12px;
    font-weight: 600;
}
.font-dark {
    color: #141414;
}

::ng-deep #orderHistory label.star {
    padding: 5px;
    font-size: 18px;
}

.opened-accordion-item {
    background-color: #5a5a5a;
}

#tracking_history .c-stepper {
    display: flex;
    flex-wrap: wrap;
    padding: 0;
}

#tracking_history .c-stepper__item {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

#tracking_history .c-stepper__item:not(:last-child) {
    flex: 1;
}

#tracking_history .c-stepper__item:before {
    content: "";
    display: block;
    width: 1.5rem;
    /* // clamp(1.5rem, 5vw, 3rem); */
    height: 1.5rem;
    /* //clamp(1.5rem, 5vw, 3rem); */
    border-radius: 50%;
    background-color: green;
}

#tracking_history .c-stepper__item.active-check:before {
    display: block;
    content: "";
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    background: transparent url('../../../../assets/images/green-checked.png') no-repeat;
    /* background: green; */
    background-size: 22px 22px;
    border: 2px solid #10b759;
    background-position: -0.1px;
}

#tracking_history .c-stepper__item.active:before {
    display: block;
    content: "";
    width: 1.5rem;
    /* // clamp(1.5rem, 5vw, 3rem): ; */
    height: 1.5rem;
    /* //clamp(1.5rem, 5vw, 3rem): ; */
    border-radius: 50%;
    background: transparent url('../../../../assets/images/green-dot.png') no-repeat;
    background-size: 16px 16px;
    border: 2px solid #10b759;
    background-position: 2px 2px;
}

#tracking_history .c-stepper__item:not(:last-child) {
    flex: 1;
    max-width: 250px;
    min-width: 246px;
    margin: 1.5rem 0;
}

#tracking_history .c-stepper__item:not(:last-child):after {
    content: "";
    position: relative;
    z-index: 0;
    height: 1px;
    background-color: #8FC474;
    flex: 1;
    margin-right: 0.5rem;
}

#tracking_history .c-stepper__title {
    font-weight: bold;
    font-size: 10px;
    /* clamp(1rem, 4vw, 1.25rem); */
}

#tracking_history p {
    margin: 0;
    font-size: 8px;
}

#tracking_history .wrapper {
    max-width: 1000px;
    margin: 2rem auto 0;
}

#tracking_history *,
*::before,
*::after {
    box-sizing: border-box;
}

@media screen and (max-width: 900px) {
    #tracking_history .c-stepper {
        flex-direction: column;
        padding-left: 1rem;
    }
     :root {
        --circle-size: clamp(1.5rem, 5vw, 3rem);
        --spacing: clamp(0.25rem, 2vw, 0.5rem);
    }
    #tracking_history .c-stepper__item {
        /* #tracking_history .c-stepper__item :not(:last-child) { */
        margin: 0.8rem 0 !important;
        position: relative;
    }
    #tracking_history .c-stepper__item:not(:last-child):after {
        content: "";
        position: absolute;
        left: 10px;
        top: 40px;
        bottom: var(--spacing);
        z-index: 1;
        transform: translateX(calc(var(--circle-size) / 2));
        width: 2px;
        background-color: #e0e0e0;
        height: 35px;
    }
}

.shipping_address_list {
    list-style: none;
}

td.product_Description {
    min-width: 525px;
    max-width: 525px;
}

::ng-deep .accordion-body {
    background: #F9F9F9;
}

.background {
    background-color: #f3f2f3;
}

.bgcss {
    background: linear-gradient(229.4deg, rgba(255, 255, 255, 0.5) 13.21%, rgba(255, 255, 255, 0.5) 94.94%), #D9D9D9;
}

.img {
    min-width: 282px;
    min-height: 196px;
    align-items: center !important;
    top: 0px;
    background: #D9D9D9;
}

.btnbg {
    background: #B11A83;
    color: #fff;
}

.tdstyle {
    padding-left: 30px !important;
    padding-bottom: 0px !important;
    justify-content: center;
    align-items: center;
    overflow: scroll;
}

.tdimg {
    max-width: 103px;
    min-width: 103px;
    height: 103px;
    border-radius: 5px;
    padding: 0;
}

td.product_Description {
    min-width: 400px;
    max-width: 400px;
}

.badge-color {
    background: #F2E5EE;
    color: #B11A83;
}

.paraone {
    font-weight: 600;
    font-size: 16px;
    color: #32353E;
}

.head1 {
    font-weight: 600;
    font-size: 16px;
    line-height: 19px;
    color: #141414;
}

.delfont {
    font-size: 14px;
    color: #fff;
}


/* point balance css */

.bgcss {
    background: linear-gradient(229.4deg, rgba(255, 255, 255, 0.5) 13.21%, rgba(255, 255, 255, 0.5) 94.94%), #D9D9D9;
}

.btnbg {
    background: #B11A83;
    color: #fff;
}

.tablerow .tablerow_amount i {
    color: #B11A83;
}

.tablerow td {
    color: #777E90;
}
.tablerow td .badge {
    font-weight: 300;
    color: #fff;
}
.tablerow .tablerow_amount{
    color:#394B56;
}

.bgrow {
    border: 1px solid #C0CCDA33;
    background: linear-gradient(0deg, rgba(192, 204, 218, 0.2), rgba(192, 204, 218, 0.2)), linear-gradient(0deg, rgba(253, 240, 249, 0.5), rgba(253, 240, 249, 0.5));
    border-radius: 10px;
}

.fa-plus-square {
    color: #EFD1E6;
    background-color: #B11A83;
    border: 2px;
    /* cursor: pointer; */
}

.headone {
    font-style: normal;
    font-weight: 500;
    font-size: 30px;
    color: #141414;
}

.headtwo {
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    color: #141414;
}

.point1 {
    background: rgba(253, 240, 249, 0.5);
    border: 1px solid rgba(192, 204, 218, 0.2)
}

#withdrawl {
    color: rgba(20, 20, 20, 0.5);
}

#topup {
    color: #141414;
}

.table {
    /* border-collapse: separate; */
    border-spacing: 0 10px;
}

.tbbbb {
    border-right: 2px;
}

.nav-item a.active,
.nav-item a:hover {
    border-bottom: 2px solid #141414 !important;
}

::placeholder {
    color: #141414;
}


/* order history */

.content1 {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.detailCard {
    border-radius: 0.4rem;
}

.result {
    margin-bottom: 0px !important;
}

.detailscard {
    border-radius: 10px;
    height: 290px !important;
    border-color: rgb(242, 243, 244);
}

.td.product_Descriptionone {
    min-width: 525px;
    max-width: 525px;
}

.tdimgasd {
    min-width: 120px;
    max-width: 120px;
    margin-left: 20% !important;
    margin-top: 10% !important;
}

#imggssaa {
    height: 100px;
    width: 100px;
    margin-left: 10% !important;
    border-radius: 10px;
}
.shadow-sm{
    background: white;
}
/* .sidePanel{
    max-height: 32rem;
} */
.panelBar{
    height: 34.5rem !important;
    max-height: 34.5rem;
    overflow-y: scroll;
}

.card-body__payment{
    border-bottom: 1px solid #c4c4c4;
    padding: 1rem;
}
.card-body__pricing{
    padding: 1rem;
}
#orderHistory li a.activePage {
    background: #b11a83;
    color: #fff;
}

.white-space-nowrap {
    white-space: nowrap;
}
#orderHistory .title-text{
    max-width: 504px;
}
.referral_share_card{
    max-width: 516px;
    align-items: center;
    margin: auto;
    box-shadow: 0px 0px 30px 0px #0000000d;
    border: none;
    padding: 2rem;
}
#referral .custom-form2 {
    color: #32353E;
    border-radius: 6px;
    font-size: 14px;
    font-weight: 300;
    padding: 0px 15px;
    min-height: 48px;
    border: 1px solid #e3e5e6;
    border-right-style: none !important;
}

#referral .edit-referral-code {
    border-radius: 10px;
    border: 1px solid #DBDBDB80;
    background: #fff;
    width: 433px;
    padding: 0.5rem;
    color: #141414;
    font-size: 14px;
}
#referral .custom-form2,
#referral .input-group-text {
    background-color: #f4ebe866;
    border-color: #f4ebe8b3;
}
#referral_modal input {
    font-size: 16px;
    color: #141414;
}
.changepassword-panel input{
    border-right-style: none;
    border-color: #7987a14d;
}
.changepassword-panel .input-group-text{
    background-color: #fff;
    border-color: #7987a14d;
    color: #7987A1;
}

#wishlist-panel .wishlist-panel_buy_button{
    height: 38px;
    width: 117px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#pointbalance_topup_modal .fields input#pointbalanceInput{
    font-size: 40px;
    text-align: center;
    height: 60px;
}
#pointbalance .point1 .headtwo svg:hover{
    box-shadow: 0 0 3px 0px grey;
}
#pointbalance .point1 .headtwo svg:hover path{
    fill: #272727;
}
